<?php

declare(strict_types=1);

namespace Drupal\Tests\iubenda_integration\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Tests administration of iubenda.
 *
 * @group iubenda_integration
 */
class IubendaAdminTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'iubenda_integration',
  ];

  /**
   * A user with the 'administer iubenda_integration' permission.
   *
   * @var \Drupal\user\UserInterface
   */
  protected $adminUser;

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->adminUser = $this->drupalCreateUser(['administer iubenda_integration']);
  }

  /**
   * Tests the privacy policy page.
   */
  public function testPrivacyPolicy() {
    $this->drupalLogin($this->adminUser);
    $assert_session = $this->assertSession();
    // Go to the Key list page.
    $this->drupalGet('/admin/config/services/iubenda-integration');
    $assert_session->statusCodeEquals(200);

    // Verify that the page title is correct.
    $assert_session->pageTextContains('Privacy and Cookie Policy settings');
    // Verify that the "Privacy Policy URL" form element.
    $assert_session->responseContains('Privacy Policy URL');
  }

}
